/*******************************************************************************
*  CDStoLED.pde - Ｃｄｓ光センサー情報にてＬＥＤを点灯させます                 *
*                 ＩＤＥのシリアルモニターにもセンサー値を表示                 *
*                                                                              *
* ============================================================================ *
*  VERSION DATE        BY                    CHANGE/COMMENT                    *
* ---------------------------------------------------------------------------- *
*  1.00    2011-02-22  きむ茶工房(きむしげ)  Create                            *
*******************************************************************************/

#define LEDPIN 13      // LEDを13番ピンに
#define THRESHOLD 700  // Cdsのしきい値(この値より高ければLED点灯)
                       // Cdsは光が暗いほどセンサー値が大きくなります

/*******************************************************************************
*  電源起動時とリセットの時だけのみ処理される関数(初期化と設定処理)            *
*******************************************************************************/
 void setup() {
     Serial.begin(9600) ;      // 9600bpsでシリアル通信のポートを開きます
     pinMode(LEDPIN,OUTPUT) ;  // LED接続のピン(13番)をデジタル出力に設定
 }
/*******************************************************************************
*  繰り返し実行される処理の関数(メインの処理)                                  *
*******************************************************************************/
 void loop() {
     // Cdsから値を読み取る処理
     int analogValue = analogRead(0) ;             // アナログピン０番を読み取る
     Serial.println(analogValue) ;                 // 読み取った値をＩＤＥに送る
     // Cds値でLEDをON/OFFする処理
     if (analogValue >= THRESHOLD) {
          // 光がしきい値より暗くなったなら処理
          digitalWrite(LEDPIN, HIGH) ;             // LEDを点灯(HIGH（5V）)で出力
     } else {
          // 光がしきい値より明るくなったなら処理
          digitalWrite(LEDPIN, LOW) ;              // LEDを消灯(LOW（0V）)で出力
     }
     delay(1000) ;                                 // 約１秒時間待ち
 }
